<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Ausgaben\SammelSms\AnTeilnehmer;

class SammelSmsUseCase extends \Kufer\KuferTools\Ausgaben\SammelSms\SammelSmsUseCase
{
  
  protected function getKontakte()
  {
    if (!empty($this->request->knr) && is_array($this->request->belegungNummern)) {
      return $this->sendPreparer->getBelegungen($this->request->knr, $this->request->belegungNummern, $this->toolSettings->tnstatus);
    } else {
      \Logger::logg(' Fehler beim SMS Versand: knr oder BelegungNummern nicht besetzt. ', 41);
      throw new \Exception('Fehler beim Versenden der SMS an die Teilnehmer');
    }
  }

  

  
  protected function getSmsFusszeile($pUser, $pKurs)
  {

    
    if (isset($this->toolSettings->sms_fusszeile) && $this->toolSettings->sms_fusszeile != '') {
      
      $inhaltObj = new \StringObj($this->toolSettings->sms_fusszeile);
      $dbwdoz = new \DBWorkDozenten();
      $dozent = $dbwdoz->getDozent($pUser->dnr);
      $replacements = array(
        '{%vhs_name%}' => \AllgSettingsAPI::getAllgSettings()->vhsname,
        '{%k_kurzbez_titel%}' => $pKurs->getVarValue('kurzbez_titel'),
        '{%k_titel%}' => $pKurs->getVarValue('titel'),
        '{%k_kurzbez%}' => $pKurs->getVarValue('kurzbez'),
        '{%k_titel_zeile1%}' => $pKurs->getVarValue('titel_zeile1'),
        '{%k_titel_untertitel%}' => $pKurs->getVarValue('titel_untertitel'),
        '{%k_id%}' => $pKurs->getVarValue('id'),
        '{%k_nrab%}' => $pKurs->getVarValue('nrab'),
        '{%doz_name%}' => $dozent->getVarValue('name'),
        '{%doz_vorname%}' => $dozent->getVarValue('vorname'),
        '{%doz_namevorname%}' => $dozent->getVarValue('namevorname'),
        '{%doz_name_titel%}' => $dozent->getVarValue('name_titel'),
        '{%doz_name_vorname_ohne_komma%}' => $dozent->getVarValue('name_vorname_ohne_komma'),
        '{%doz_vorname_name_ohne_komma%}' => $dozent->getVarValue('vorname_name_ohne_komma'),
        '{%doz_titel_name_vorname%}' => $dozent->getVarValue('titel_name_vorname'),
        '{%doz_titel_vorname_name%}' => $dozent->getVarValue('titel_vorname_name')
        );

      return $inhaltObj->replaceAny($replacements)->toString();
    } 
    
    return '';
  }
}

class SammelSmsRequest
{
  public $knr;
  public $belegungNummern = array();
}